
/*!
\file
\brief Robust
\author Vasek Smidl 

 */

#include "robustlib.h"
#include <vector>
using namespace itpp;

using namespace bdm;

int main ( int argc, char* argv[] ) {
	
	emlig* emlig1 = new emlig(3);

	emlig1->step_me();

	vec condition = "3.0 -5.0 -3.0 -2.0";	

	emlig1->add_condition(condition);

	vector<int> sizevector;
	for(int s = 0;s<=emlig1->number_of_parameters;s++)
	{
		sizevector.push_back(emlig1->statistic_rowsize(s));
	}

	emlig1->step_me();

	condition = "-5.0 2.3 2.3 -1.0";

	emlig1->add_condition(condition);

	sizevector.clear();
	for(int s = 0;s<=emlig1->number_of_parameters;s++)
	{
		sizevector.push_back(emlig1->statistic_rowsize(s));
	}

	return 0;
}

